<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CEntity Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCEntity-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CEntity Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class, used to store entities to map.  
 <a href="classCEntity.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entities_8h_source.html">entities.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classCEntity__inherit__graph.png" border="0" usemap="#CEntity_inherit__map" alt="Inheritance graph"/></div>
<map name="CEntity_inherit__map" id="CEntity_inherit__map">
<area shape="rect" id="node2" href="classCAttacker.html" title="Attacker is one of the main game objects, it can attack and defend itself from other towers..." alt="" coords="92,80,173,107"/>
<area shape="rect" id="node6" href="classCEntrance.html" title="represents entrance to the map, positions, where attackers can be inserted " alt="" coords="197,80,281,107"/>
<area shape="rect" id="node7" href="classCExit.html" title="represents exit, place where attackers are heading " alt="" coords="305,80,360,107"/>
<area shape="rect" id="node8" href="classCFreeSpace.html" title="represents free space &#45; place, where tower can be inserted, because attackers don&#39;t move through ther..." alt="" coords="384,80,479,107"/>
<area shape="rect" id="node9" href="classCPath.html" title="represents the path where attackers are moving " alt="" coords="503,80,562,107"/>
<area shape="rect" id="node10" href="classCTower.html" title="Tower is one of the main game objects, it can attack and defend itself from other attackers..." alt="" coords="587,80,655,107"/>
<area shape="rect" id="node14" href="classCWall.html" title="represents the wall ( barricade ) " alt="" coords="679,80,738,107"/>
<area shape="rect" id="node3" href="classCArcher.html" title="Archer 50% chance of extending range by half, 10 % chance of attacking twice. " alt="" coords="5,155,76,181"/>
<area shape="rect" id="node4" href="classCMage.html" title="Mage 50% chance of attacking twice, 10% chance of blocking attack from medic, 10% chance of getting s..." alt="" coords="101,155,165,181"/>
<area shape="rect" id="node5" href="classCWarrior.html" title="Warrior 33% chance of blocking attack from artillery, 10 % chance of attacking twice. " alt="" coords="189,155,263,181"/>
<area shape="rect" id="node11" href="classCArtillery.html" title="ARTILLERY 25% Chance of larger distance by half 20% Chance of double shot. " alt="" coords="485,155,561,181"/>
<area shape="rect" id="node12" href="classCHeavy.html" title="HEAVY 20% chance of blocking all attacks 10% chance of damage to attacker when hit. " alt="" coords="585,155,656,181"/>
<area shape="rect" id="node13" href="classCMedic.html" title="MEDIC 20% chance of blocking attack coming from Warrior 33% chance of surviving death and restoring 1..." alt="" coords="681,155,747,181"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9ab2d129368e2d3acfec883129439e1c"><td class="memItemLeft" align="right" valign="top"><a id="a9ab2d129368e2d3acfec883129439e1c"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a> () const</td></tr>
<tr class="memdesc:a9ab2d129368e2d3acfec883129439e1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is discoverable ( if it's either free space or path ) <br /></td></tr>
<tr class="separator:a9ab2d129368e2d3acfec883129439e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a173556bee50ce1ccfbc7e1d434bac92c"><td class="memItemLeft" align="right" valign="top"><a id="a173556bee50ce1ccfbc7e1d434bac92c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>print</b> (ostream &amp;os) const =0</td></tr>
<tr class="separator:a173556bee50ce1ccfbc7e1d434bac92c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bedcc5d44f5b4a65d8abd8bc7766588"><td class="memItemLeft" align="right" valign="top"><a id="a5bedcc5d44f5b4a65d8abd8bc7766588"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a> () const</td></tr>
<tr class="memdesc:a5bedcc5d44f5b4a65d8abd8bc7766588"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints the object ( it's symbol ) <br /></td></tr>
<tr class="separator:a5bedcc5d44f5b4a65d8abd8bc7766588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a833f1423fd7e0f2096517b100c44db72"><td class="memItemLeft" align="right" valign="top"><a id="a833f1423fd7e0f2096517b100c44db72"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a> ()=default</td></tr>
<tr class="memdesc:a833f1423fd7e0f2096517b100c44db72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is path or not. <br /></td></tr>
<tr class="separator:a833f1423fd7e0f2096517b100c44db72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class, used to store entities to map. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="entities_8h_source.html">entities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
